Bug 917109 - (CVE-2013-1789) CVE-2013-1789 poppler: Multiple null pointer de-references in the Poppler splash backend
CVE-2013-1789 poppler: Multiple null pointer de-references in the Poppler spl...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20130110,reported=2...
: Security
Depends On: 917113
Blocks: 917112
  Show dependency treegraph
 
Reported: 2013-03-01 13:09 EST by Vincent Danen
Modified: 2015-08-19 05:19 EDT (History)
2 users (show)

See Also:
Fixed In Version: poppler 0.22.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2013-03-01 13:09:05 EST
Two bugs that lead to a denial of service (crash) were reported in poppler (fixed in version 0.22.1):

- Fix crash in broken file 1031.pdf.asan.48.15 [1].
- Do not crash in broken documents like 1007.pdf.asan.48.4 [2].

[1] http://cgit.freedesktop.org/poppler/poppler/commit/?h=poppler-0.22&id=a9b8ab4657dec65b8b86c225d12c533ad7e984e2
[2] http://cgit.freedesktop.org/poppler/poppler/commit/?h=poppler-0.22&id=a205e71a2dbe0c8d4f4905a76a3f79ec522eacec
Comment 1 Vincent Danen 2013-03-01 13:17:00 EST
Created poppler tracking bugs for this issue

Affects: fedora-all [bug 917113]
Comment 2 Fedora Update System 2013-03-13 22:44:46 EDT
poppler-0.20.2-10.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2013-03-13 22:47:45 EDT
poppler-0.18.4-4.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Huzaifa S. Sidhpurwala 2013-04-30 00:29:34 EDT
This issue does not affect the version of poppler as shipped with Red Hat Enterprise Linux 5.

This issue affects the version of poppler as shipped with Red Hat Enterprise Linux 6.
Comment 7 Huzaifa S. Sidhpurwala 2013-05-06 02:01:47 EDT
Statement:

This issue does not affect the version of poppler as shipped with Red Hat Enterprise Linux 5. This issue affects the version of poppler as shipped with Red Hat Enterprise Linux 6. The Red Hat Security Response Team has rated this issue as having low security impact, a future update may address this flaw.

Note You need to log in before you can comment on or make changes to this bug.